This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 959070 - (CVE-2013-1990) CVE-2013-1990 libXvMC: Multiple integer overflows leading to heap-based buffer overflows
CVE-2013-1990 libXvMC: Multiple integer overflows leading to heap-based buffe...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966817 1078041
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-03 02:04 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXvMC 1.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 02:04:06 EDT
Multiple integer overflows leading to heap-based buffer overflows were found in the libXvMC, an X.Org X11 libXvMC runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

Affected functions:  XvMCListSurfaceTypes(), XvMCListSubpictureTypes()
Comment 11 Jan Lieskovsky 2013-05-23 11:40:23 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 12 Huzaifa S. Sidhpurwala 2013-05-23 23:49:16 EDT
Created libXvMC tracking bugs for this issue

Affects: fedora-all [bug 966817]
Comment 13 Fedora Update System 2013-05-26 23:23:26 EDT
libXvMC-1.0.7-6.20130524gite9415ddef.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-06-02 23:04:44 EDT
libXvMC-1.0.7-6.20130524gite9415ddef.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Huzaifa S. Sidhpurwala 2013-06-04 23:34:03 EDT
This issue affects the version of libXvMC as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 16 Huzaifa S. Sidhpurwala 2013-06-04 23:47:15 EDT
Statement:

This issue affects the libXvMC package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 17 Jan Lieskovsky 2013-06-17 09:02:04 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 18 Fedora Update System 2013-07-18 02:07:33 EDT
libXvMC-1.0.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 errata-xmlrpc 2014-10-14 01:05:18 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.